## org.red5.server.net.rtmp.codec
Class RTMPMinaCodecFactory

    java.lang.Object
      org.red5.server.net.rtmp.codec.RTMPMinaCodecFactory

All Implemented Interfaces:
  ProtocolCodecFactory

    public class RTMPMinaCodecFactory

extends Object
implements ProtocolCodecFactory

RTMP codec factory.

Field Summary
`protected RTMPMinaProtocolDecoder` `decoder` RTMP Mina protocol decoder.
`protected RTMPMinaProtocolEncoder` `encoder` RTMP Mina protocol encoder.

Constructor Summary
`RTMPMinaCodecFactory()`

Method Summary
`ProtocolDecoder` `getDecoder(IoSession session)`
`ProtocolEncoder` `getEncoder(IoSession session)`
`RTMPMinaProtocolDecoder` `getMinaDecoder()`
`RTMPMinaProtocolEncoder` `getMinaEncoder()`
`void` `init()` Initialization.
`void` `setMinaDecoder(RTMPMinaProtocolDecoder decoder)` Setter for decoder
`void` `setMinaEncoder(RTMPMinaProtocolEncoder encoder)` Setter for encoder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### decoder

    protected RTMPMinaProtocolDecoder decoder

  RTMP Mina protocol decoder.

### encoder

    protected RTMPMinaProtocolEncoder encoder

  RTMP Mina protocol encoder.

Constructor Detail

### RTMPMinaCodecFactory

    public RTMPMinaCodecFactory()

Method Detail

### init

    public void init()

  Initialization. Create and setup of encoder/decoder and serializer/deserializer is handled by Spring.

### setMinaEncoder

    public void setMinaEncoder(RTMPMinaProtocolEncoder encoder)

  Setter for encoder.

  Parameters:
    `encoder` - Encoder

### setMinaDecoder

    public void setMinaDecoder(RTMPMinaProtocolDecoder decoder)

  Setter for decoder

  Parameters:
    `decoder` - Decoder

### getDecoder

    public ProtocolDecoder getDecoder(IoSession session)

  Specified by:
    `getDecoder` in interface `ProtocolCodecFactory`

### getEncoder

    public ProtocolEncoder getEncoder(IoSession session)

  Specified by:
    `getEncoder` in interface `ProtocolCodecFactory`

### getMinaDecoder

    public RTMPMinaProtocolDecoder getMinaDecoder()

  Returns:
    decoder

### getMinaEncoder

    public RTMPMinaProtocolEncoder getMinaEncoder()

  Returns:
    encoder

Copyright © 2006-2010 The Red5 Project